﻿@model MyCalendarViewModel
@{
    ViewData["Title"] = "MyCalendar";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<head>
    <link rel="stylesheet" href="~/css/StyleCalendar.css" />
    <link rel="stylesheet" href="~/css/MyCalendarStyle.css" />
    <link rel="stylesheet" href="~/css/StyleTable.css" />
</head>

<body>
    <div class="row" style="position:absolute">
        @* THE CALENDAR *@
        <div class="column">
            <div class="month">
                <ul>
                    <a class="prev" asp-action="MyCalendar" asp-route-id="@((Model.SelectedDay.DayDate).AddMonths(-1))">&#10094;</a>
                    <a class="next" asp-action="MyCalendar" asp-route-id="@((Model.SelectedDay.DayDate).AddMonths(+1))">&#10095;</a>
                    <li>
                        @Html.DisplayFor(model => model.MonthName)<br>
                        <span style="font-size:18px">2018</span>
                    </li>
                </ul>
            </div>
            <ul class="weekdays">
                @*il faut regler la largeur, 'Su' toujours pas sur meme ligne*@
                <li>Mo</li>
                <li>Tu</li>
                <li>We</li>
                <li>Th</li>
                <li>Fr</li>
                <li>Sa</li>
                <li>Su</li>
            </ul>
            <ul class="days">
                @{
                    if (Model.ThisMonth.StartFrom == "Tu")
                    {
                        <li></li>
                    }
                    else if (Model.ThisMonth.StartFrom == "We")
                    {
                        <li></li>
                        <li></li>
                    }
                    else if (Model.ThisMonth.StartFrom == "Th")
                    {
                        <li></li>
                        <li></li>
                        <li></li>
                    }
                    else if (Model.ThisMonth.StartFrom == "Fr")
                    {
                        <li></li>
                        <li></li>
                        <li></li>
                        <li></li>
                    }
                    else if (Model.ThisMonth.StartFrom == "Sa")
                    {
                        <li></li>
                        <li></li>
                        <li></li>
                        <li></li>
                        <li></li>

                    }
                    else if (Model.ThisMonth.StartFrom == "Su")
                    {
                        <li></li>
                        <li></li>
                        <li></li>
                        <li></li>
                        <li></li>
                        <li></li>

                    }
                    foreach (var item in Model.ThisMonth.ListDayTask)
                    {
                        <li>
                            <a asp-controller="Home" asp-action="MyCalendar" asp-route-id="@(item.DayDate)">
                                <div class="grid-container">
                                    @if ((item.DayDate) == (Model.SelectedDay.DayDate))
                                    {
                                        <div class="grid-item active" style="font-weight:bold;color:black">
                                            @Html.DisplayFor(modelItem => item.DayNumber)
                                        </div>
                                    }
                                    else
                                    {
                                        <div class="grid-item" style="font-weight:bold;color:black">
                                            @Html.DisplayFor(modelItem => item.DayNumber)
                                        </div>
                                    }
                                    @{ if (item.ThereIsWork)
                                        {
                                            <div class="grid-item" style="color:red">&bull;</div>
                                        }
                                        else
                                        {
                                            <div class="grid-item"></div>
                                        }
                                    }
                                    <div class="grid-item" style="color:dodgerblue; font-size:small">&bull;</div>
                                    <div class="grid-item" style="color:#b08808; font-size:small">&bull;</div>
                                </div>
                            </a>
                        </li>
                    }
                }
            </ul>
        </div>
        @* THE LISTE OF TASK *@
        <div class="column">
            <div class="tab">
                <button class="tablinks" onclick="openTask(event, 'DayTask')" id="defaultOpen">DayTask</button>
                <button class="tablinks" onclick="openTask(event, 'WeekTask')">WeekTask</button>
                <button class="tablinks" onclick="openTask(event, 'MonthTask')">MonthTask</button>
            </div>
            <div id="DayTask" class="tabcontent">
                <h3>Selected day : @Model.SelectedDay.DayDate </h3>
                <table class="table" style="font-size:large">
                    <thead>
                        <tr>
                            <th>Start</th>
                            <th>End</th>
                            <th>Pause</th>
                        </tr>
                    </thead>
                    <tbody>
                        @if (Model.SelectedDay.ThereIsWork)
                        {
                            @foreach (var item in Model.SelectedDay.ListWork)
                            {
                                <tr>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.TimeStart)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.TimeEnd)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.PauseStart)
                                    </td>
                                </tr>
                            }
                        }
                    </tbody>
                </table>
            </div>
            <div id="WeekTask" class="tabcontent">
                <h3>WeekTask</h3>
                <p>Here the task of the week selected</p>
            </div>
            <div id="MonthTask" class="tabcontent">
                <h3>Selected month : @Model.MonthName </h3>
                <table class="table" style="font-size:large">
                    <thead>
                        <tr>
                            <th>Day</th>
                            <th>Count Work</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in Model.ThisMonth.ListOfListTask)
                        {
                            <tr>
                                <td>
                                    @Html.DisplayFor(modelItem => item.DateOfList)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Works.Count)
                                </td>
                            </tr>
                        }
                    </tbody>
                </table>
            </div>
            <script>function openTask(evt, taskName) {
                    var i, tabcontent, tablinks;
                    tabcontent = document.getElementsByClassName("tabcontent");
                    for (i = 0; i < tabcontent.length; i++) {
                        tabcontent[i].style.display = "none";
                    }
                    tablinks = document.getElementsByClassName("tablinks");
                    for (i = 0; i < tablinks.length; i++) {
                        tablinks[i].className = tablinks[i].className.replace(" active", "");
                    }
                    document.getElementById(taskName).style.display = "block";
                    evt.currentTarget.className += " active";
                }
                // Get the element with id="defaultOpen" and click on it
                document.getElementById("defaultOpen").click();</script>
        </div>
    </div>
</body>